// an external way to creating logs
import { createRoute, OpenAPIHono, z } from "@hono/zod-openapi";
import { responses } from "../../../globalUtils/routeDefs/responses.js";

import runTiImport from "../controller/notifications/tiIntergration.js";
import { apiHit } from "../../../globalUtils/apiHits.js";

const app = new OpenAPIHono({ strict: false });

app.openapi(
    createRoute({
        tags: ["notify"],
        summary: "Manually trigger TI intergrations.",
        method: "get",
        path: "/tiTrigger",
        //middleware: authMiddleware,
        responses: responses(),
    }),
    async (c) => {
        apiHit(c, { endpoint: "/tiTrigger" });
        const tiImport = await runTiImport();
        return c.json({
            success: tiImport?.success,
            message: tiImport?.message,
        });
    }
);
export default app;
